[**Flutter ETS API Documentation v1.0.0**](../../../../README.md)

***

# Class: CustomTouchObject

Custom implementation of TouchObject for platform views.

## Implements

- `TouchObject`

## Constructors

### Constructor

> **new CustomTouchObject**(`type`, `id`, `displayX`, `displayY`, `windowX`, `windowY`, `screenX`, `screenY`, `x`, `y`): `CustomTouchObject`

Constructs a new CustomTouchObject instance.

#### Parameters

##### type

`TouchType`

The touch type

##### id

`number`

The touch point ID

##### displayX

`number`

The X coordinate in display space

##### displayY

`number`

The Y coordinate in display space

##### windowX

`number`

The X coordinate in window space

##### windowY

`number`

The Y coordinate in window space

##### screenX

`number`

The X coordinate in screen space

##### screenY

`number`

The Y coordinate in screen space

##### x

`number`

The X coordinate in local space

##### y

`number`

The Y coordinate in local space

#### Returns

`CustomTouchObject`

## Properties

### displayX

> **displayX**: `number`

The X coordinate in display space.

***

### displayY

> **displayY**: `number`

The Y coordinate in display space.

***

### id

> **id**: `number`

The unique identifier for this touch point.

***

### screenX

> **screenX**: `number`

The X coordinate in screen space.

***

### screenY

> **screenY**: `number`

The Y coordinate in screen space.

***

### type

> **type**: `TouchType`

The type of touch.

***

### windowX

> **windowX**: `number`

The X coordinate in window space.

***

### windowY

> **windowY**: `number`

The Y coordinate in window space.

***

### x

> **x**: `number`

The X coordinate in local space.

***

### y

> **y**: `number`

The Y coordinate in local space.
